Loading...
Searching...
No Matches
Opm::H2ON2LiquidPhaseFluidSystem< Scalar >::ParameterCache< Evaluation > Struct Template Reference

The type of the fluid system's parameter cache. More...

`#include <H2ON2LiquidPhaseFluidSystem.hpp>`

Inheritance diagram for Opm::H2ON2LiquidPhaseFluidSystem< Scalar >::ParameterCache< Evaluation >:

## Additional Inherited Members

Public Types inherited from Opm::ParameterCacheBase< NullParameterCache< Evaluation > >
enum | ExceptQuantities
| Constants for ORing the quantities of the fluid state that have not changed since the last update.
Public Member Functions inherited from Opm::ParameterCacheBase< NullParameterCache< Evaluation > >
void | assignPersistentData (const OtherCache &)
| Copy the data which is not dependent on the type of the Scalars from another parameter cache.
void | updateAll (const FluidState &fluidState, int=None)
| Update the quantities of the parameter cache for all phases.
void | updateAllPressures (const FluidState &fluidState)
| Update pressure dependent quantities of the parameter cache for all phases.
void | updateAllTemperatures (const FluidState &fluidState)
| Update temperature dependent quantities of the parameter cache for all phases.
void | updatePhase (const FluidState &, unsigned, int=None)
| Update all cached parameters of a specific fluid phase.
void | updateTemperature (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on temperature.
void | updatePressure (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on pressure.
void | updateComposition (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on composition.
void | updateSingleMoleFraction (const FluidState &fluidState, unsigned phaseIdx, unsigned)
| Update all cached parameters of a specific fluid phase which depend on the mole fraction of a single component.

## Detailed Description

template<class Scalar>
template<class Evaluation>
struct Opm::H2ON2LiquidPhaseFluidSystem< Scalar >::ParameterCache< Evaluation >

The type of the fluid system's parameter cache.

The parameter cache can be used to avoid re-calculating expensive parameters for multiple quantities. Be aware that what the parameter cache actually does is specific for each fluid system and that it is opaque outside the fluid system.

The documentation for this struct was generated from the following file:

- opm/material/fluidsystems/H2ON2LiquidPhaseFluidSystem.hpp